Subject: Re: [PATCH net-next 3/8] devlink: report extended error message in region_read_dumpit

From: Jakub Kicinski <[email-masked]>
Date: Mon, 21 Nov 2022 20:07:40 -0800

On Mon, 21 Nov 2022 13:18:37 -0800 Jacob Keller wrote:
> > Ah damn, you're right, I thought I just missed it because it wasn't
> > at the top of the function.  
> 
> I also saw a few other cases where it might make sense to use a 
> GENL_CB_REQ_ATTR_CHECK or similar.
> 
> Unfortunately there's at least one area where we check for attributes 
> inside a function that is used in both flows which would get a bit 
> problematic :( Will see what I can come up with.

Perhaps this series is not the right place to worry about the missing
attr ext_ack for dumps. Go forward with v2, we can solve that later.

I think the info discrepancy falls under a larger problem of message
building code between doit and dump.